GenericEventTypeMetrics.EventTypeMetricsBuilder (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.metrics, class: GenericEventTypeMetrics, class: EventTypeMetricsBuilder

Package org.apache.hadoop.yarn.metrics

# Class GenericEventTypeMetrics.EventTypeMetricsBuilder<T extends Enum<T>>

java.lang.Object
org.apache.hadoop.yarn.metrics.GenericEventTypeMetrics.EventTypeMetricsBuilder<T>

Enclosing class:
  GenericEventTypeMetrics<T extends Enum<T>>

public static class GenericEventTypeMetrics.EventTypeMetricsBuilder<T extends Enum<T>> extends Object
Builder class for GenericEventTypeMetrics.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventTypeMetricsBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GenericEventTypeMetrics`
  `build()`
  `GenericEventTypeMetrics.EventTypeMetricsBuilder`
  `setEnumClass(Class<T> enumClassValue)`
  `GenericEventTypeMetrics.EventTypeMetricsBuilder`
  `setEnums(T[] enumsValue)`
  `GenericEventTypeMetrics.EventTypeMetricsBuilder`
  `setInfo(org.apache.hadoop.metrics2.MetricsInfo infoValue)`
  `GenericEventTypeMetrics.EventTypeMetricsBuilder`
  `setMs(org.apache.hadoop.metrics2.MetricsSystem msValue)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventTypeMetricsBuilder

    public EventTypeMetricsBuilder()

- ## Method Details

  - ### setEnumClass

    public GenericEventTypeMetrics.EventTypeMetricsBuilder setEnumClass(Class<T> enumClassValue)

  - ### setEnums

    public GenericEventTypeMetrics.EventTypeMetricsBuilder setEnums(T[] enumsValue)

  - ### setInfo

    public GenericEventTypeMetrics.EventTypeMetricsBuilder setInfo(org.apache.hadoop.metrics2.MetricsInfo infoValue)

  - ### setMs

    public GenericEventTypeMetrics.EventTypeMetricsBuilder setMs(org.apache.hadoop.metrics2.MetricsSystem msValue)

  - ### build

    public GenericEventTypeMetrics build()